| java.lang.Object | |
| ↳ | com.atlassian.jira.rest.v2.issue.IssueResource |
| Public Constructors | |||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| Public Methods | |||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
Adds a new comment to an issue.
| |||||||||||
Cast your vote in favour of an issue.
| |||||||||||
Adds a user to an issue's watcher list.
| |||||||||||
Adds a new worklog entry to an issue.
| |||||||||||
Assigns an issue to a user.
| |||||||||||
Creates an issue or a sub-task from a JSON representation.
| |||||||||||
Creates issues or sub-tasks from a JSON representation.
| |||||||||||
Creates or updates a remote issue link from a JSON representation.
| |||||||||||
Deletes an existing comment .
| |||||||||||
Delete an issue.
| |||||||||||
Delete the remote issue link with the given global id on the issue.
| |||||||||||
Delete the remote issue link with the given id on the issue.
| |||||||||||
Deletes an existing worklog entry .
| |||||||||||
Perform a transition on an issue.
| |||||||||||
Edits an issue from a JSON representation.
| |||||||||||
Returns all comments for an issue.
| |||||||||||
Returns a single comment.
| |||||||||||
Returns the meta data for creating issues.
| |||||||||||
Returns the meta data for editing an issue.
| |||||||||||
Returns a full representation of the issue for the given issue key.
| |||||||||||
Returns the list of watchers for the issue with the given key.
| |||||||||||
Returns all work logs for an issue.
| |||||||||||
Get the remote issue link with the given id on the issue.
| |||||||||||
A REST sub-resource representing the remote issue links on the issue.
| |||||||||||
Get a list of the transitions possible for this issue by the current user, along with fields that are required and their types.
| |||||||||||
A REST sub-resource representing the voters on the issue.
| |||||||||||
Returns a specific worklog.
| |||||||||||
Sends a notification (email) to the list or recipients defined in the request.
| |||||||||||
Remove your vote from an issue.
| |||||||||||
Removes a user from an issue's watcher list.
| |||||||||||
Updates an existing comment using its JSON representation.
| |||||||||||
Updates a remote issue link from a JSON representation.
| |||||||||||
Updates an existing worklog entry using its JSON representation.
| |||||||||||
| Protected Methods | |||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
Returns a Response with a status code of 400.
| |||||||||||
Returns a Response with a status code of 204.
| |||||||||||
|
[Expand]
Inherited Methods | |||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
From class
java.lang.Object
| |||||||||||
Adds a new comment to an issue.
| issueIdOrKey | a string containing the issue id or key the comment will be added to |
|---|---|
| expand | optional flags: renderedBody (provides body rendered in HTML) |
| request | json body of request converted to a CommentJsonBean |
Cast your vote in favour of an issue.
| issueIdOrKey | the issue to vote for |
|---|
Adds a user to an issue's watcher list.
| issueIdOrKey | a String containing an issue key |
|---|---|
| userName | the name of the user to add to the watcher list. If no name is specified, the current user is added. |
Adds a new worklog entry to an issue.
| issueIdOrKey | a string containing the issue id or key the worklog will be added to |
|---|---|
| adjustEstimate | (optional) allows you to provide specific instructions to update the remaining time estimate of the issue. Valid values are
|
| newEstimate | (required when "new" is selected for adjustEstimate) the new value for the remaining estimate field. e.g. "2d" |
| reduceBy | (required when "manual" is selected for adjustEstimate) the amount to reduce the remaining estimate by e.g. "2d" |
| request | json body of request converted to a WorklogJsonBean |
Assigns an issue to a user. You can use this resource to assign issues when the user submitting the request has the assign permission but not the edit issue permission. If the name is "-1" automatic assignee is used. A null name will remove the assignee.
| issueIdOrKey | a String containing an issue key |
|---|---|
| assigneeBean | A UserBean with the name of the user to assign the issue to. |
Creates an issue or a sub-task from a JSON representation.
The fields that can be set on create, in either the fields parameter or the update parameter can be determined using the /rest/api/2/issue/createmeta resource. If a field is not configured to appear on the create screen, then it will not be in the createmeta, and a field validation error will occur if it is submitted.
Creating a sub-task is similar to creating a regular issue, with two important differences:issueType field must correspond to a sub-task issue type (you can use
/issue/createmeta to discover sub-task issue types), andparent field in the issue create request containing the id or key of the
parent issue.| createRequest | an issue create request |
|---|
Creates issues or sub-tasks from a JSON representation.
Creates many issues in one bulk operation.
Creating a sub-task is similar to creating a regular issue. More details can be found in createIssue section:createIssue(IssueUpdateBean)}| createRequest | IssuesUpdateBean which wraps issues to create in collection of IssueUpdateBean} |
|---|
Creates or updates a remote issue link from a JSON representation. If a globalId is provided and a remote issue link exists with that globalId, the remote issue link is updated. Otherwise, the remote issue link is created.
| issueIdOrKey | the issue to create the remote issue link for |
|---|---|
| request | a request to create or update a remote issue link |
Deletes an existing comment .
| issueIdOrKey | a string containing the issue id or key the comment belongs to |
|---|---|
| commentId | id of the comment to be deleted |
Delete an issue. If the issue has subtasks you must set the parameter deleteSubtasks=true to delete the issue. You cannot delete an issue without its subtasks also being deleted.
| issueIdOrKey | a String containing an issue id or key |
|---|---|
| deleteSubtasks | a String of true or false indicating that any subtasks should also be deleted. If the issue has no subtasks this parameter is ignored. If the issue has subtasks and this parameter is missing or false, then the issue will not be deleted and an error will be returned. |
Delete the remote issue link with the given global id on the issue.
| issueIdOrKey | the issue to create the remote issue link for |
|---|---|
| globalId | the global id of the remote issue link |
Delete the remote issue link with the given id on the issue.
| issueIdOrKey | the issue to create the remote issue link for |
|---|---|
| remoteIssueLinkId | the id of the remote issue link |
Deletes an existing worklog entry .
| issueIdOrKey | a string containing the issue id or key the worklog belongs to |
|---|---|
| worklogId | id of the worklog to be deleted |
| adjustEstimate | (optional) allows you to provide specific instructions to update the remaining time estimate of the issue. Valid values are
|
| newEstimate | (required when "new" is selected for adjustEstimate) the new value for the remaining estimate field. e.g. "2d" |
| increaseBy | (required when "manual" is selected for adjustEstimate) the amount to increase the remaining estimate by e.g. "2d" |
Perform a transition on an issue. When performing the transition you can udate or set other issue fields.
The fields that can be set on transtion, in either the fields parameter or the update parameter can be determined using the /rest/api/2/issue/{issueIdOrKey}/transitions?expand=transitions.fields resource. If a field is not configured to appear on the transition screen, then it will not be in the transition metadata, and a field validation error will occur if it is submitted.
| issueIdOrKey | the issue you want to transition |
|---|---|
| issueUpdateBean | The json containing the transition to peform and which field values to update. |
Edits an issue from a JSON representation.
The issue can either be updated by setting explicit the field value(s) or by using an operation to change the field value.
The fields that can be updated, in either the fields parameter or the update parameter, can be determined
using the /rest/api/2/issue/{issueIdOrKey}/editmeta resource.
If a field is not configured to appear on the edit screen, then it will not be in the editmeta, and a field
validation error will occur if it is submitted.
Specifying a "field_id": field_value in the "fields" is a shorthand for a "set" operation in the "update" section.
Field should appear either in "fields" or "update", not in both.
| issueIdOrKey | the issue id or key to update (i.e. JRA-1330) |
|---|
Returns all comments for an issue.
| issueIdOrKey | to get comments for |
|---|---|
| expand | optional flags: renderedBody (provides body rendered in HTML) |
Returns a single comment.
| issueIdOrKey | of the issue the comment belongs to |
|---|---|
| commentId | the ID of the comment to request |
| expand | optional flags: renderedBody (provides body rendered in HTML) |
Returns the meta data for creating issues. This includes the available projects, issue types and fields, including field types and whether or not those fields are required. Projects will not be returned if the user does not have permission to create issues in that project.
The fields in the createmeta correspond to the fields in the create screen for the project/issuetype. Fields not in the screen will not be in the createmeta.
Fields will only be returned if expand=projects.issuetypes.fields.
The results can be filtered by project and/or issue type, given by the query params.
| projectIds | combined with the projectKeys param, lists the projects with which to filter the results. If absent, all projects are returned. This parameter can be specified multiple times, and/or be a comma-separated list. Specifiying a project that does not exist (or that you cannot create issues in) is not an error, but it will not be in the results. |
|---|---|
| projectKeys | combined with the projectIds param, lists the projects with which to filter the results. If null, all projects are returned. This parameter can be specified multiple times, and/or be a comma-separated list. Specifiying a project that does not exist (or that you cannot create issues in) is not an error, but it will not be in the results. |
| issuetypeIds | combinded with issuetypeNames, lists the issue types with which to filter the results. If null, all issue types are returned. This parameter can be specified multiple times, and/or be a comma-separated list. Specifiying an issue type that does not exist is not an error. |
| issuetypeNames | combinded with issuetypeIds, lists the issue types with which to filter the results. If null, all issue types are returned. This parameter can be specified multiple times, but is NOT interpreted as a comma-separated list. Specifiying an issue type that does not exist is not an error. |
Returns the meta data for editing an issue.
The fields in the editmeta correspond to the fields in the edit screen for the issue. Fields not in the screen will not be in the editemeta.
| issueIdOrKey | the issue whose edit meta data you want to view |
|---|
Returns a full representation of the issue for the given issue key.
An issue JSON consists of the issue key, a collection of fields, a link to the workflow transition sub-resource, and (optionally) the HTML rendered values of any fields that support it (e.g. if wiki syntax is enabled for the description or comments).
The fields param (which can be specified multiple times) gives a comma-separated list of fields
to include in the response. This can be used to retrieve a subset of fields.
A particular field can be excluded by prefixing it with a minus.
By default, all (*all) fields are returned in this get-issue resource. Note: the default is different
when doing a jql search -- the default there is just navigable fields (*navigable).
*all - include all fields*navigable - include just navigable fieldssummary,comment - include just the summary and comments-comment - include everything except comments (the default is *all for get-issue)*all,-comment - include everything except comments
JIRA will attempt to identify the issue by the issueIdOrKey path parameter. This can be an issue id,
or an issue key. If the issue cannot be found via an exact match, JIRA will also look for the issue in a case-insensitive way, or
by looking to see if the issue was moved. In either of these cases, the request will proceed as normal (a 302 or other redirect
will not be returned). The issue key contained in the response will indicate the current value of issue's key.
| issueIdOrKey | the issue id or key to request (i.e. JRA-1330) |
|---|---|
| fields | the list of fields to return for the issue. By default, all fields are returned. |
Returns the list of watchers for the issue with the given key.
| issueIdOrKey | the issue key to request (i.e. JRA-1330) |
|---|
Returns all work logs for an issue.
| issueIdOrKey | the worklogs belongs to |
|---|
Get the remote issue link with the given id on the issue.
| issueIdOrKey | the issue to view the remote issue links for |
|---|---|
| linkId | the id of the remote issue link |
A REST sub-resource representing the remote issue links on the issue.
| issueIdOrKey | the issue to view the remote issue links for |
|---|---|
| globalId | The id of the remote issue link to be returned. If null (not provided) all remote links for the
issue are returned.
For a fullexplanation of Issue Link fields please refer to https://developer.atlassian.com/display/JIRADEV/Fields+in+Remote+Issue+Links |
Get a list of the transitions possible for this issue by the current user, along with fields that are required and their types.
Fields will only be returned if expand=transitions.fields.
The fields in the metadata correspond to the fields in the transition screen for that transition. Fields not in the screen will not be in the metadata.
| issueIdOrKey | the issue whose transitions you want to view |
|---|
A REST sub-resource representing the voters on the issue.
| issueIdOrKey | the issue to view voting information for |
|---|
Returns a specific worklog.
| issueIdOrKey | a string containing the issue id or key the worklog belongs to |
|---|---|
| worklogId | a String containing the work log id |
Sends a notification (email) to the list or recipients defined in the request.
| issueIdOrKey | a string containing the issue id or key the comment will be added to |
|---|---|
| request | json body of request converted to a NotificationJsonBean |
Remove your vote from an issue. (i.e. "unvote")
| issueIdOrKey | the issue the current user is unvoting on |
|---|
Removes a user from an issue's watcher list.
| issueIdOrKey | a String containing an issue key. |
|---|---|
| userName | a String containing the name of the user to remove from the watcher list. Must not be null. |
Updates an existing comment using its JSON representation.
| issueIdOrKey | a string containing the issue id or key the comment belongs to |
|---|---|
| commentId | id of the comment to be updated |
| expand | optional flags: renderedBody (provides body rendered in HTML) |
| request | json body of request converted to a CommentJsonBean |
Updates a remote issue link from a JSON representation. Any fields not provided are set to null.
| issueIdOrKey | the issue to update the remote issue link for |
|---|---|
| updateRequest | a request to update a remote issue link |
Updates an existing worklog entry using its JSON representation.
| issueIdOrKey | a string containing the issue id or key the worklog belongs to |
|---|---|
| worklogId | id of the worklog to be updated |
| adjustEstimate | (optional) allows you to provide specific instructions to update the remaining time estimate of the issue. Valid values are
|
| newEstimate | (required when "new" is selected for adjustEstimate) the new value for the remaining estimate field. |
| request | json body of request converted to a WorklogJsonBean |
Returns a Response with a status code of 400.
Returns a Response with a status code of 204.